aboutsummaryrefslogtreecommitdiff
path: root/development/rust16/rust16.SlackBuild
diff options
context:
space:
mode:
authorGene Carlson <kvngncrlsn@gmail.com>2023-07-13 22:17:46 +0900
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-07-14 10:18:55 +0700
commit2fe98f84983b2863874bec64d2afbd75abde0ed0 (patch)
treee6a11eaf897a7e07c86d601ebae8bd88ada85e23 /development/rust16/rust16.SlackBuild
parent0e4713b83387d225a3ea9b00ca609574a2fe26d2 (diff)
development/rust16: Updated for version 1.70.0.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/rust16/rust16.SlackBuild')
-rw-r--r--development/rust16/rust16.SlackBuild13
1 files changed, 10 insertions, 3 deletions
diff --git a/development/rust16/rust16.SlackBuild b/development/rust16/rust16.SlackBuild
index 34c1ec23184c..ea22a6a32d95 100644
--- a/development/rust16/rust16.SlackBuild
+++ b/development/rust16/rust16.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=rust16
SRCNAM=rust
-VERSION=${VERSION:-1.69.0}
+VERSION=${VERSION:-1.70.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -102,8 +102,15 @@ rust-analyzer-preview,\
rust-demangler-preview,\
rustfmt-preview
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG/opt/$PRGNAM/lib -type f -name "*.so" -exec chmod +x {} \; 2> /dev/null || true
+# As of 1.70.0, stripping the libraries causes memory faults on Slackware64-15.0.
+if [ $ARCH = "x86_64" ]; then
+ find $PKG -print0 | xargs -0 file | grep "executable" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+else
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
rm -f $PKG/opt/$PRGNAM/lib/rustlib/uninstall.sh
rm -f $PKG/opt/$PRGNAM/lib/rustlib/install.log